<template>
  <div id="class_index_wrapper" class="bt-container">
  	<div h2 class="page-title"> 조회하기 > 주제및세션 > 상세보기</div>
  	<div class="profile">
  	  <div class="class_detail">
  	  	<div class="detail_top" v-model="name" :list="list"> 학생이름 : {{list.name}} </div>
  	  	<div class="detail" v-model="sex" :list="list"> 성별 : {{list.sex}} </div>
        <div class="detail" v-model="birth" :list="list">생년월일 : {{list.birth}}  </div> 
  	  	<div class="detail" v-model="university_name" :list="list">대학: {{list.university_name}} </div> 
        <div class="detail" v-model="department_name" :list="list">학과 : {{list.department_name}} </div>
        <div class="detail_top" v-model="address" :list="list">주소 : {{list.address}} </div>
        <div class="detail" v-model="email_id" :list="list">이메일 : {{list.email_id}} </div>
        <div class="detail" v-model="phone" :list="list">핸드폰번호 : {{list.phone}} </div>
        <div class="detail" v-model="account_number" :list="list">계좌번호 : {{list.account_number}} </div>
        <div class="detail" v-model="account_bank" :list="list">계좌은행 : {{list.account_bank}} </div>
  	  </div>
  	</div>
    <div class="table-name">
        <master-student-score-detail
        :list="list"
        />
  	</div>
  </div>	

</template>

<script>
/* eslint-disable camelcase */
import MasterStudentScoreDetail from '../partials/MasterStudentScoreDetail';
import masterService from '../../services/masterService';

export default {
  name: 'ViewDetailStudent',
  components: {
    MasterStudentScoreDetail,
  },
  data() {
    return {
      list: [],
      name: null,
      sex: null,
      birth: new Date(),
      university_name: '',
      department_name: '',
      address: '',
      email_id: '',
      phone: '',
      account_number: '',
      account_bank: '',
    };
  },
  computed: {
    classId() {
      const vm = this;
      return vm.$route.path.split('student/')[1].split('/detail')[0];
    },
  },
  async mounted() {
    const vm = this;
    const class_id = vm.classId;
    const res = await masterService.getMasterUser({ email_id: class_id });
    vm.list = res.data;
    if (vm.list.sex === 1) {
      vm.list.sex = '남자';
    } else {
      vm.list.sex = '여자';
    }
    if (vm.list.birth.indexOf('T') !== -1) {
      vm.list.birth = vm.list.birth.split('T')[0];
    }
  },
  methods: {
    async classOnChange() {
      const vm = this;
      vm.buttonType = 'classOnChange';
    },
    async lectureOnChange() {
      const vm = this;
      vm.buttonType = 'lectureOnChange';
    },
    async studentOnChange() {
      const vm = this;
      vm.buttonType = 'studentOnChange';
    },
  },
};
</script>

<style lang="scss" scoped>
#class_index_wrapper {
  .page-title{
  	position:relative;
    float:left;
    width: 1000px;
    height: 24px;

    font-family: SpoqaHanSans;
    font-size: 25px;
    font-weight: bold;
    font-style: normal;
    font-stretch: normal;
    line-height: 1.2;
    letter-spacing: normal;
    color: #000000;

    margin-top : 40px;
    margin-left : 12px;
    margin-bottom : 25px;
  }
  .profile {
  	position: relative;
  	width:180px;
  	height:200px;
  	top: 20px;
  	left:270px;
  }
  .profile img {
  	position:relative;
    margin:0px;
  }
  .profile .class_detail {
  	position: absolute;
  	width: 700px;
    height:150px;
  	float:right;
  	margin: 0px 150px 100px 0;
    top:110px;
    left:40px;
    column-count: 2;
  }
  .right-align {
    position:relative;
    margin: 150px 0 0 0;
  }
  .table-name {
    position:relative;
    top:100px;
  	margin: 20px 0 0 0;
  }
  .detail_top{
    margin-top: 0px;
    margin-bottom:5px;
    width:470px;
  }
  .detail{
    margin-top:8px;
    width:470px;
    margin-bottom:8px;
  }
  .detail_horizon{
    margin-top:5px;
    width:300px;
    margin-bottom:5px;
  }
  .detail_horizon2{
    position: relative;
    top: -23px;
    left: 285px;
    width:250px;
  }
  .detail_horizon3{
    margin-top:-15px;
    width:470px;
    margin-bottom:5px;
  }
  .detail_horizon4{
    position:relative;
    top:-23px;
    left:280px;
    width:300px;
  }
  .detail_bottom{
    margin-top:-15px;
  }
}
</style>